Config
{
	
}

Level {
	spawnObjectsDelay = 5	
	
	levelTime = 90000	// en milisegundos	
}

Camera{
	followCoeff = 0.6		// valores entre 0 y 1. 1: la camara deja siempre en el centro a target, mientras mas bajo, mas tarda en ponerlo en el medio
}

ParallaxBackground{
	coeffs = 
	{ 
		0.025, 0.05, 0.1, 1.0 
	}
}

// Backgrounds de decoraciones:
BackgroundObjects1{
	scale = 1.0 //0.8			// 1.0: movimiento a la misma velocidad de target; < 1.0 movimiento mas lento (equivalente a estar mas lejos) 
	quota = 10 //10				// cantidad de objetos activos maximo (los objetos se desactivan cuando se pierden por la izquierda)
	probability = 0.1	//0.1	// probabilidad de creacion de un nuevo objeto en cada frame
}

BackgroundObjects{
	// alturas minimas de aparicion de objetos, estan en orden
	minHeights = 
	{ 
		// Clouds
		200, 200, 200, 200, 200
		// Stars
		4000, 4000, 4000, 4000, 4000, 
		// Galaxy
		12550, 12550, 12550, 
		// Planet
		9550, 9550, 9550
	}
	
	// alturas maximas de aparicion de objetos, estan en orden
	maxHeights = 
	{ 
		// Clouds
		6400, 6400, 6400, 6400, 6400, 
		// Stars
		120000, 120000, 120000, 120000, 120000, 
		// Galaxy
		120000, 120000, 120000,
		// Planet
		120000, 120000, 120000
	}
	
}

LevelObjects {				// Powerups
	quota = 1				// cantidad de objetos activos maximo (los objetos se desactivan cuando se pierden por la izquierda)
	xRelativeVel = 0.6		// coeficiente de velocidad x con respecto a target en tiempo de creacion
	yRelativeVel = 0.0		// coeficiente de velocidad y con respecto a target en tiempo de creacion
	noMoveThreshold = 20.0	// si la velocidad de target en x es menor a este valor los nuevos objetos aparecen sin movimiento
	probability = 0.1		// probabilidad de creacion de un nuevo objeto en cada frame
	spawnAngle = 20			// este angulo se toma a partir de la direccion de movimiento de target, la mitad para un lado y la mitad para el otro
	spawnDistance = 1000.0	// distancia total a la que se spawnea un objeto con relacion a target, en direccion al spawnAngle
	minHeight = 5			// altura minima en la que spawnean nuevos objetos
	maxHeight = 600			// altura minima en la que spawnean nuevos objetos
}

// Powerups

WindUp {
	forcex = 0.0
	forcey = -200.0
	angle = 270
	probability = 0.10
}

WindDown {
	forcex = 0.0
	forcey = 200.0
	angle = 90
	probability = 0.10
}

WindLeft {
	forcex = -200.0
	forcey = 0.0
	angle = 180
	probability = 0.10
}

WindRight {
	forcex = 200.0
	forcey = 0.0
	angle = 0
	probability = 0.10
}

Star {
	probability = 0.60
}


// Aircrafts:
	
YellowBee
{
	name = "Xee Bee"
	
	tileWidth = 150
	tileHeight = 150
	
	bodyWidth = 100
	bodyHeight = 50
	
	power = 60				// magnitud de fuerza que se aplica hacia adelante
	maniobrability = 300	// magnitud de fuerza que se aplica para cambiar de direccion
	
	image = "YELLOW_BEE"
	cost = 0
}

RedBee
{
	name = "Fire Bee"
	
	tileWidth = 150
	tileHeight = 150
	
	bodyWidth = 100
	bodyHeight = 50
	
	power = 90				// magnitud de fuerza que se aplica hacia adelante
	maniobrability = 100	// magnitud de fuerza que se aplica para cambiar de direccion
	
	image = "RED_BEE"
	cost = 100	
}

BlueBee
{
	name = "Blue Bee"
	
	tileWidth = 150
	tileHeight = 150
	
	bodyWidth = 100
	bodyHeight = 50
	
	power = 30				// magnitud de fuerza que se aplica hacia adelante
	maniobrability = 400	// magnitud de fuerza que se aplica para cambiar de direccion
	
	image = "BLUE_BEE"
	cost = 50		
}

